Bug 8451 - Hitting ^c causes "panic: Invalid file pointer"
Hitting ^c causes "panic: Invalid file pointer"
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: mailx (Show other bugs)
6.1
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-01-13 14:10 EST by frederick.a.niles.1
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-04 10:12:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description frederick.a.niles.1 2000-01-13 14:10:40 EST
Hitting Control-C while viewing large attachments using the pager
"more" causes "panic: Invalid file pointer"

To reproduce:

0) This only occurs on an Alpha
1) send a large attachment file to a an account
2) run "mail"
3) go down a few pages
4) Hit Control-C
-----> "panic: Invalid file pointer"

Work around:

"Don't do it" :)  Just hit 'q' to leave the pager.

----

After run gdb on it I fear this is a glibc bug!
Comment 1 Elliot Lee 2000-02-03 16:36:59 EST
This is a stupid mailx bug. I will try and hack a fix in for now.
Comment 2 Elliot Lee 2000-02-03 16:41:59 EST
Should be fixed in mailx-8.1.1-10
Comment 3 Elliot Lee 2000-02-04 10:12:59 EST
Forgot to close it, last time.

Note You need to log in before you can comment on or make changes to this bug.